Subject: Re: [PATCH 2/4] powerpc/qe: new call to revert a gpio to a dedicated function

From: Anton Vorontsov <[email-masked]>
Date: Wed, 24 Sep 2008 15:42:31 +0400

On Tue, Sep 23, 2008 at 11:07:00PM -0500, Kumar Gala wrote:
>
> On Sep 23, 2008, at 7:03 PM, Anton Vorontsov wrote:
>
>> qe_gpio_set_dedicated() is a platform specific function, which is used
>> to revert a pin to a dedicated function. Caller should have already
>> obtained the gpio via gpio_request().
>>
>> This is needed to support Freescale USB Host Controller.
>>
>> Signed-off-by: Anton Vorontsov <[email-masked]>
>> ---
>> arch/powerpc/include/asm/qe.h     |    1 +
>> arch/powerpc/sysdev/qe_lib/gpio.c |   46 ++++++++++++++++++++++++++++ 
>> +++++++++
>> 2 files changed, 47 insertions(+), 0 deletions(-)
>
> what do you mean by dedicated function.. be a bit clearer in the commit 
> log.

This term is from the QE spec, I didn't invent anything. ;-)

"Each pin in the I/O ports can be configured as a general-purpose
I/O signal or as a dedicated peripheral interface signal. ...many
dedicated peripheral functions are multiplexed onto the ports."

> Also, does this depend on gpio_to_chip() patch?

Yeah, the point of exported gpio_to_chip is to let us write
this function.

Thanks!

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2